loci.formats.in

## Class SlideBook7Reader.CCubeAnnotation70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CCubeAnnotation70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CCubeAnnotation70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) SlideBook7Reader.CAnnotation70` | `mAnn`
    `java.lang.Float` | `mFloatData`
    `java.lang.String` | `mFRAPDevice`
    `java.lang.Integer` | `mIntData`
    `java.lang.Boolean` | `mIsBackground`
    `java.lang.Boolean` | `mIsFloatSet`
    `java.lang.Boolean` | `mIsFRAP`
    `java.lang.Boolean` | `mIsIntSet`
    `java.lang.Boolean` | `mIsLLS`
    `java.lang.Boolean` | `mIsNoLabel`
    `java.lang.Boolean` | `mIsStimulation`
    `java.lang.Integer` | `mRegionIndex`
    `java.lang.String` | `mReservedBuf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCubeAnnotation70()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `Decode(org.yaml.snakeyaml.nodes.MappingNode inNode, int inStartIndex)`

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mIsBackground

          public java.lang.Boolean mIsBackground

    - #### mRegionIndex

          public java.lang.Integer mRegionIndex

    - #### mIsFRAP

          public java.lang.Boolean mIsFRAP

    - #### mFRAPDevice

          public java.lang.String mFRAPDevice

    - #### mIsStimulation

          public java.lang.Boolean mIsStimulation

    - #### mIsLLS

          public java.lang.Boolean mIsLLS

    - #### mIsNoLabel

          public java.lang.Boolean mIsNoLabel

    - #### mReservedBuf

          public java.lang.String mReservedBuf

    - #### mIsIntSet

          public java.lang.Boolean mIsIntSet

    - #### mIsFloatSet

          public java.lang.Boolean mIsFloatSet

    - #### mIntData

          public java.lang.Integer mIntData

    - #### mFloatData

          public java.lang.Float mFloatData

    - #### mAnn

          SlideBook7Reader.CAnnotation70 mAnn

  - ### Constructor Detail

    - #### CCubeAnnotation70

          CCubeAnnotation70()

  - ### Method Detail

    - #### Decode

          public int Decode(org.yaml.snakeyaml.nodes.MappingNode inNode,
                            int inStartIndex)

      Overrides:
        `Decode` in class `SlideBook7Reader.ClassDecoder`

Copyright © 2026 Open Microscopy Environment